Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.awb.misc
Class Opt

    java.lang.Object
      |
      +--com.ibm.awb.misc.Opt

public abstract class Opt
extends java.lang.Object

Inner Class Summary
`static interface` | `Opt.Proc`

Method Summary
`static boolean` | `checkopt(java.lang.String[] args)`
`static Opt` | `Entry(java.lang.String n)`
`static Opt` | `Entry(java.lang.String n, Opt.Proc r, java.lang.String m)`
`static Opt` | `Entry(java.lang.String n, java.lang.String p, java.lang.String m)`
`static Opt` | `Entry(java.lang.String n, java.lang.String p, java.lang.String val, java.lang.String m)`
`static void` | `getopt(java.lang.String[] args)`
`static java.lang.String` | `getopt(java.lang.String val, java.lang.String[] args, java.lang.String def_value)`
`static void` | `main(java.lang.String[] args)`
`static void` | `message()`
`static void` | `setopt(Opt[] options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### checkopt

    public static boolean checkopt(java.lang.String[] args)

### Entry

    public static Opt Entry(java.lang.String n)

### Entry

    public static Opt Entry(java.lang.String n,
                            Opt.Proc r,
                            java.lang.String m)

### Entry

    public static Opt Entry(java.lang.String n,
                            java.lang.String p,
                            java.lang.String m)

### Entry

    public static Opt Entry(java.lang.String n,
                            java.lang.String p,
                            java.lang.String val,
                            java.lang.String m)

### getopt

    public static void getopt(java.lang.String[] args)

### getopt

    public static java.lang.String getopt(java.lang.String val,
                                          java.lang.String[] args,
                                          java.lang.String def_value)

### main

    public static void main(java.lang.String[] args)

### message

    public static void message()

### setopt

    public static void setopt(Opt[] options)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD